:: ftpthis uploads a single ug*.zip from Out to omsys.com; called from RunBldUG.bat.
:: Usage: ftpthis NN FMT
::  where NN is the release number
::        FMT is the 2- to 4-char abbreviation for the format.
@echo off
if "%1" == "" goto NOARG
if "%2" == "" goto NOARG
if not exist ug%2%1.zip goto NOFILE

open omsys.com
omsys
AMMA*amma
binary
cd /ftp/pub/download
send ug%2%1.zip 
bye 
echo ug%2%1.zip finished uploading at %TIME% >> g:\omnisys\ug\ug33v%1.log
echo .  >> g:\omnisys\ug\ug33v%1.log

goto END

:NOARG
echo ftpthis requires two arguments:
echo .   NN, release number (for example, 51)
echo .   FMT, the format (for example, HTM)
echo Example: ftpthis 51 HTM
exit 1

:NOFILE
echo **** Cannot find file ug%2%1.zip **** >> g:\omnisys\ug\ug33v%1.log 2>&1
exit 2

:END